Skip to main content
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
prices
/
{display_id}
Admin Update Hub Price Display
curl --request PATCH \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/prices/{display_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "position": 123,
      "visible": true
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "hub_id": "<string>",
      "position": 123,
      "price_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "visible": true
    },
    "id": "<string>",
    "type": "hub_price_displays"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required
display_id
string
required

Body

application/vnd.api+json
data
HubPriceDisplayUpdateResource · object
required

Response

Successful Response

data
HubPriceDisplayResource · object
required